Metafunction
Not
Metaprogramming boolean "not" operator.
Not<B>::Type
Include Headers
seqan/basic.h
Parameters

B | Argument to invert. Types: False, True

Return Values
One of True and False, the result of logical not. The arguments B can either be True/False or boolean metafunctions that return True/False.
Examples
Not<False>::Type
Not<True>::Type
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59